#
# spec file for package octave-forge-statistics
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  statistics
Name:           octave-forge-%{octpkg}
Version:        1.2.4
Release:        4.3
Summary:        Additional statistics functions for Octave
License:        GPL-3.0+ and SUSE-Public-Domain
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  octave-devel
Requires:       octave-cli >= 3.6.1
Requires:       octave-forge-io >= 1.0.18

%description
Additional statistics functions.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}

%changelog
* Mon Mar  9 2015 dmitry_r@opensuse.org
- Update to version 1.2.4
  * Made princomp work with nargout < 2.
  * Renamed dendogram to dendrogram.
  * Added isempty check to kmeans.
  * Transposed output of hist3.
  * Converted calculation in hmmviterbi to log space.
  * Bug fixes for stepwisefit, wishrnd.
  * Rewrite of cmdscale for improved compatibility.
  * Fix in squareform for improved compatibility.
  * New cvpartition class, with methods:
    display repartition test training
  * New sample data file fisheriris.txt for tests
  * The following functions are new:
    cdf crossval dcov pdist2 qrandn randsample signtest ttest ttest2
    vartest vartest2 ztest
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.2.3
